package com.winhc.db.mongodb.dataobject;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.mongodb.core.mapping.Document;
import java.util.Date;

/**
 * @description: 企业债券信息
 * @author: yujie
 * @date 2020.1.14 17:34
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Document(collection = "node_relation_error")
public class NodeRelationError {

    // 创建时间
    private Date createTime;

    // 更新时间
    private Date updateTime;

    // 消息
    private String consumerMessage;

    // 消息
    private String errorMessage;

    // 类型
    private String topicType;

    // 类型
    private Integer status;


}
