package com.winhc.test;

import cn.hutool.json.JSONUtil;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.parser.Feature;
import com.alibaba.fastjson.serializer.DoubleSerializer;
import com.alibaba.fastjson.serializer.SerializeConfig;
import com.google.gson.Gson;
import com.winhc.pojo.MergePerson;
import com.winhc.utils.CompanyUtils;
import org.apache.ibatis.javassist.expr.NewArray;
import org.junit.Test;

import java.util.*;

/**
 * @author π
 * @Description:
 * @date 2021/1/8 16:21
 */
public class TestJson {

    @Test
    public void test1() {
        List<Map<String, Object>> batch_list = new ArrayList<>();

//        for (int i = 0; i <= 10; i++) {
        Integer i = 3;
        HashMap<String, Object> m1 = new HashMap<>();
        m1.put("startId", "startId" + i);
        m1.put("endId", "endId" + i);
        m1.put("startName", "startName" + i);
        m1.put("endName", "endName" + i);
        m1.put("deleted", 1);
        m1.put("percent", i * 0.5);
        m1.put("rid", i * 3);
        batch_list.add(m1);
//        }
        String s = JSON.toJSONString(m1);
        JSON.DEFAULT_PARSER_FEATURE &= ~Feature.UseBigDecimal.getMask();
        int disableDecimalFeature = JSON.DEFAULT_PARSER_FEATURE &= ~Feature.UseBigDecimal.getMask();
        SerializeConfig config = SerializeConfig.getGlobalInstance();
        config.put(Double.class, new DoubleSerializer("#.#####"));
        JSONObject JB = JSON.parseObject(s, JSONObject.class, disableDecimalFeature);
//        JSONObject JB = JSON.parseObject(s, JSONObject.class);
        Map<String, Object> map = JB;
        System.out.println(JB);

        Gson gson = new Gson();
        Map map1 = gson.fromJson(s, Map.class);
        System.out.println(JB);
        cn.hutool.json.JSONObject jsonObject = JSONUtil.parseObj(s);
        System.out.println(jsonObject);

    }

    @Test
    public void test2() {
        String r1 = CompanyUtils.getIncrPersonLabel();
        System.out.println(r1);
    }

    @Test
    public void test3() {
        List<String> list = Arrays.asList("小米", "淘宝", "京东");
        StringBuilder sb = new StringBuilder();
        sb.append("[");
        for (int i = 0; i < list.size(); i++) {
            sb.append("'").append(list.get(i)).append("'");
            if (i != list.size() - 1) {
                sb.append(",");
            }
        }

        sb.append("]");
        System.out.println(sb);
    }

    @Test
    public void test4() {
        Collection<MergePerson> values = new ArrayList<>();
        MergePerson m = new MergePerson("1", "n1", "2", "n2",1);
        values.add(m);
//        MergePerson m1 = new MergePerson("1", "n1", "2", "n2");
//        values.add(m1);
        System.out.println(JSON.toJSONString(values));

        JSONObject j = new JSONObject();
        j.put("k1", "1");
        j.put("k2", "2");

        System.out.println(JSON.toJSONString(Collections.singletonList(j)));

    }
}
