package com.winhc.kafka.consumer;

import cn.hutool.json.JSONUtil;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.winhc.common.enums.CompanyEnum;
import com.winhc.db.mongodb.dataobject.NodeRelationError;
import com.winhc.service.RelationService;
import com.winhc.utils.CompanyUtils;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.apache.kafka.clients.consumer.ConsumerRecord;
import org.springframework.context.annotation.Bean;
import org.springframework.kafka.annotation.KafkaListener;
import org.springframework.kafka.listener.ConsumerAwareListenerErrorHandler;
import org.springframework.stereotype.Service;

import java.util.*;
import java.util.stream.Collectors;

/**
 * @author π
 * @Description:
 * @date 2021/4/8 16:12
 */
@Slf4j
//@Service
@AllArgsConstructor
@Deprecated
public class KafkaConsumerPersonCompanys {

    private final Map<String, RelationService> map;

    @KafkaListener(id = "${spring.kafka.topic_person_companys}"
            , topics = "${spring.kafka.topic_person_companys}"
            , groupId = "${spring.kafka.consumer.group-id}", containerFactory = "containerFactory", errorHandler = "KafkaConsumerPersonCompanys")
    public void consumerCompanyNode(List<ConsumerRecord<?, ?>> records) {
        List<Map<String, Object>> list = CompanyUtils.mapPlus(records);
        this.map.get(CompanyEnum.TopicType.PERSON_COMPANYS.VALUE).save(list);
    }

    /**
     * 因为手动确认消费，若消费失败，记录重刷
     */
    @Bean("KafkaConsumerPersonCompanys")
    public ConsumerAwareListenerErrorHandler dealError() {
        return (message, e, consumer) -> {
            System.out.println(message);
            return null;
        };
    }
}
